; hDC: 		DC to draw - for drawing the current font and settings are used
; flg:		see definition
; t:		time since animation-start in ms	[t]=ms
; x0/y0:	drawing postion (y0 = position of base-line) [x0/y0] = pixel
; v:		speed of text or phase	[v] = pixel/second
; T:		period/lambda	[T] = pixel
; A:		amplitude		[A] = pixel
; dPhi:		phase shift		[dPhi]=rad
; psz:		pointer to zero-terminated string
; _dx:		reange within text oscillated (req. JS_HORZ_OSCILLATION) [_dx]=pixel
;
JmpSine proto hDC:HDC,flg:DWORD,t:DWORD,x0:DWORD,y0:DWORD,v:REAL4,T:DWORD,A:DWORD,dPhi:REAL4,psz:PCHAR,_dx:DWORD

JS_XT_WAVE			EQU 1		; text moves only vertical
JS_T_WAVE			EQU 2		; text mov vertical and horizontal
JS_UPPER_ONLY		EQU 4		; 'cut' negativ half-wave
JS_LOWER_ONLY		EQU 8		;   "   positiv  "     "    "
JS_FOLD_UP			EQU 16		; fold negativ half-wave up
JS_FOLD_DOWN		EQU 32 		;   "  positiv   "    "  down
JS_HORZ_OSCILLATION	EQU	64		; text oscillates horizontal in an range defined by _dx